Bug 38076

Summary: [Qt] GraphicsLayer: flicker when starting an animation before the previous one ended.
Product: WebKit Reporter: Noam Rosenthal <noam>
Component: Layout and RenderingAssignee: Nobody <webkit-unassigned>
Status: CLOSED FIXED    
Severity: Normal CC: commit-queue, hausmann
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Bug Depends on:    
Bug Blocks: 38071    
Attachments:
Description Flags
Fix flicker in end of animation none

Description Noam Rosenthal 2010-04-23 18:53:34 PDT
See bug 38071 for test case - click on the animated item frequently.
Comment 1 Noam Rosenthal 2010-04-24 09:28:28 PDT
Created attachment 54219 [details]
Fix flicker in end of animation
Comment 2 WebKit Commit Bot 2010-04-29 00:15:24 PDT
Comment on attachment 54219 [details]
Fix flicker in end of animation

Clearing flags on attachment: 54219

Committed r58480: <http://trac.webkit.org/changeset/58480>
Comment 3 WebKit Commit Bot 2010-04-29 00:15:30 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Simon Hausmann 2010-04-30 00:04:46 PDT
Revision r58480 cherry-picked into qtwebkit-2.0 with commit 540ae4ccd25609e1bfe1673195ce126255e36774